import { useMemo } from 'react';
import { useViewportType } from '../../useViewportType';
import { LOCAL_STORAGE_KEY } from '../constants';
export const useLogic = () => {
    const { isMobile } = useViewportType();
    const isSkipShow = useMemo(() => {
        if (isMobile) {
            // Не показываем баннер нa mobile разрешениях
            return true;
        }
        return localStorage.getItem(LOCAL_STORAGE_KEY);
    }, []);
    return { isSkipShow };
};
